gfcli:
  docker:
    build: "-a amd64 -s linux -p temp -ew"
    tagPrefixes:
      - my.image.pub/my-app
  gen:
    enums:
      src: "."
      path: "internal/boot/boot_enums.go"
      prefixes:
        - github.com/gogf
        - kami
    dao:
      #      - link: mysql:root:123456@tcp(127.0.0.1:3306)/kami_v2
      #        descriptionTag: true
      #        noModelComment: true
      #        prefix: v2
      #        path: ./internal/systemV2
      - link: mysql:root:mysql123@tcp(127.0.0.1:3306)/kami
        #        tables: "sys_user_deductions,sys_user_config_channel,recharge_t_mall_shop_history,recharge_t_mall_order_fake,restrict_ip_record,card_apple_hidden_settings_recharge_info,sys_config_dict,card_apple_hidden_settings,recharge_t_mall_order_history,        recharge_t_mall_shop,recharge_t_mall_order,recharge_t_mall_account,order_info,        merchant_info,merchant_deploy_info,account_info,road_info,road_pool_info,card_apple_account_info,card_apple_account_info_history,card_apple_history_info,        card_apple_recharge_info,sys_user,sys_user_login_log,sys_role,sys_casbin_rule,sys_auth_rule,sys_user_payment,sys_user_payment_records,user_info,        restrict_client_access_record,restrict_client_access_ip_relation,restrict_ip_order_access,restrict_ip_record,card_redeem_account_deduction,card_redeem_account_history,        card_redeem_account_info,card_redeem_order_history,card_redeem_order_info,merchant_hidden_config,merchant_hidden_record,card_redeem_account_summary,card_redeem_account_group"
        prefix: v1
        descriptionTag: true
        noModelComment: true
        path: ./internal
        typeMapping:
          decimal:
            type: decimal.Decimal
            import: github.com/shopspring/decimal
          numeric:
            type: string
    service:
      #      srcFolder: ./internal/systemV2/logic
      #      dstFolder: ./internal/systemV2/service
      srcFolder: ./internal/logic
      dstFolder: ./internal/service
#    ctrl:
#      srcFolder: api
#      dstFolder: internal/systemV2/controller
#      - srcFolder: internal/logic
#        dstFolder: internal/systemV2/service
#      - srcFolder: internal/logic
#        dstFolder: internal/systemV2/service


